package com.zcxk.evaluation.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.evaluation.entity.EvaluationCycleEntity;

import java.util.List;

/**
 * 考评周期Service接口
 *
 * @author: WYY
 * @date 2021-05-08 09:09
 */
public interface EvaluationCycleService {

    /**
     * 自定义分页查询，含关联实体对像
     */
    public IPage<EvaluationCycleEntity> findPage(IPage<EvaluationCycleEntity> page, EvaluationCycleEntity evaluationCycleEntity);


    /**
     * 查列表
     */
    public List<EvaluationCycleEntity> findList(EvaluationCycleEntity evaluationCycleEntity);

    /**
     * 批量删除
     */
    public boolean delEvaluationCycleByIds(Long[] ids);

    /**
     * 单个删除
     */
    public boolean delEvaluationCycleById(Long id);

    /**
     * 保存
     */
    public boolean addEvaluationCycle(EvaluationCycleEntity evaluationCycle);

    /**
     * 批量保存
     */
    public boolean addBatchEvaluationCycle(List<EvaluationCycleEntity> evaluationCycles);

    /**
     * 修改根居ID
     */
    public boolean updateEvaluationCycleById(EvaluationCycleEntity evaluationCycle);

    /**
     * 根居ID获取对象
     */
    public EvaluationCycleEntity findEvaluationCycleById(Long id);
}
